Subject: bug#12739: 24.2.50; selection-coding-system is set to ANSI code page on Cygw32

From: Kazuhiro Ito <[email-masked]>
Date: Sat, 17 Jul 2021 15:04:11 +0900

> >> On Cygw32, it seems that cache_system_info (in src/w32fns.c) is never
> >> called.
> >
> > It should be called early on during startup, so perhaps a cygw32-only
> > call to it near the beginning of 'main' is all that's needed.
> 
> I don't have a cygw32 system, but I have a cygw64, and there:
> 
> ----
> selection-coding-system is a variable defined in ‘select.el’.
> 
> Its value is ‘utf-16le-dos’
> ----
> 
> Is this still an issue on cygw32 systems, or has it gone away in the
> eight years since this was reported?

It seems that the problem has been already resolved though I don't
know when.

-- 
Kazuhiro Ito